System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

This interface is used by custom server controls, but never implemented by them. ASP.NET always implements it.

Defines the behavior for populating a templated ASP.NET server control with child controls. The child controls represent the inline templates defined on the page.

- Method
  System.Void ``

  When developing templated server controls, you do not need to implement this method; the .NET Framework provides the implementation for you.

  When implemented by a class, defines the object that child controls and templates belong to. These child controls are in turn defined within an inline template.

  The object to contain the instances of controls from the inline template. 1.0.5000.0 2.0.0.0